cgGetParameterDirection(3)

NAME
cgGetParameterDirection - get a program parameter's direction

SYNOPSIS
  #include <Cg/cg.h>
  CGenum cgGetParameterDirection( CGparameter param );

PARAMETERS

param
    The program parameter.

RETURN VALUES
Returns the direction of param.

Returns CG_ERROR if an error occurs.

DESCRIPTION
cgGetParameterDirection allows the application to distinguish program input parameters from program output parameters. This information is necessary for the application to properly supply the program inputs and use the program outputs.

cgGetParameterDirection will return one of the following enumerants :

CG_IN
    Specifies an input parameter.

CG_OUT
    Specifies an output parameter.

CG_INOUT
    Specifies a parameter that is both input and output.

CG_ERROR
    If an error occurs.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgGetParameterDirection was introduced in Cg 1.1.

SEE ALSO
the cgGetNamedParameter manpage, the cgGetNextParameter manpage, the cgGetParameterName manpage, the cgGetParameterType manpage, the cgGetParameterVariability manpage, the cgIsArray manpage, the cgSetParameterVariability manpage